import request from '@/utils/request'

// 查询商品属性组列表
export function listAttributeGroup(query) {
  return request({
    url: '/product/attributeGroup/list',
    method: 'get',
    params: query
  })
}

// 查询商品属性组详细
export function getAttributeGroup(id) {
  return request({
    url: '/product/attributeGroup/getInfo?id='+ id,
    method: 'get'
  })
}

// 新增商品属性组
export function addAttributeGroup(data) {
  return request({
    url: '/product/attributeGroup',
    method: 'post',
    data: data
  })
}

// 修改商品属性组
export function updateAttributeGroup(data) {
  return request({
    url: '/product/attributeGroup/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除商品属性组
export function delAttributeGroup(id) {
  return request({
    url: '/product/attributeGroup/' + id,
    method: 'delete'
  })
}
