import request from '@/utils/request'

// 查询品类信息列表
export function listCategory(query) {
  return request({
    url: '/product/category/list',
    method: 'get',
    params: query
  })
}

// 查询品类信息详细
export function getCategory(id) {
  return request({
    url: '/product/category/' + id,
    method: 'get'
  })
}

export function getTemplateAttribute(data) {
  return request({
    url: '/product/category/getTemplateAttribute/',
    method: 'post',
    data
  })
}

//通过父类id  查询品类详情
export function parentCategoryCommon(id) {
  return request({
    url: '/product/category/parentCategoryCommon/' + id,
    method: 'get'
  })
}


// 新增品类信息
export function addCategory(data) {
  return request({
    url: '/product/category',
    method: 'post',
    data: data
  })
}

// 修改品类信息
export function updateCategory(data) {
  return request({
    url: '/product/category/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除品类信息
export function delCategory(id) {
  return request({
    url: '/product/category/' + id,
    method: 'delete'
  })
}
