import request from '@/utils/request'

// 查询商品测试列表
export function listGood(query) {
  return request({
    url: '/product/good/list',
    method: 'get',
    params: query
  })
}

// 查询商品测试详细
export function getGood(id) {
  return request({
    url: '/product/good/' + id,
    method: 'get'
  })
}

// 新增商品测试
export function addGood(data) {
  return request({
    url: '/product/good',
    method: 'post',
    data: data
  })
}

// 修改商品测试
export function updateGood(data) {
  return request({
    url: '/product/good/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除商品测试
export function delGood(id) {
  return request({
    url: '/product/good/' + id,
    method: 'delete'
  })
}
