import request from '@/utils/request'

// 查询商品SKU列表
export function listProjectSku(query) {
  return request({
    url: '/product/projectSku/list',
    method: 'get',
    params: query
  })
}

// 查询商品SKU详细
export function getProjectSku(id) {
  return request({
    url: '/product/projectSku/' + id,
    method: 'get'
  })
}

// 新增商品SKU
export function addProjectSku(data) {
  return request({
    url: '/product/projectSku',
    method: 'post',
    data: data
  })
}

// 修改商品SKU
export function updateProjectSku(data) {
  return request({
    url: '/product/projectSku/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除商品SKU
export function delProjectSku(id) {
  return request({
    url: '/product/projectSku/' + id,
    method: 'delete'
  })
}
