import request from '@/utils/request'

// 查询规格详情列表
export function listRuleAttr(query) {
  return request({
    url: '/product/ruleAttr/list',
    method: 'get',
    params: query
  })
}

// 查询规格详情详细
export function getRuleAttr(id) {
  return request({
    url: '/product/ruleAttr/' + id,
    method: 'get'
  })
}

// 新增规格详情
export function addRuleAttr(data) {
  return request({
    url: '/product/ruleAttr',
    method: 'post',
    data: data
  })
}

// 修改规格详情
export function updateRuleAttr(data) {
  return request({
    url: '/product/ruleAttr/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除规格详情
export function delRuleAttr(id) {
  return request({
    url: '/product/ruleAttr/' + id,
    method: 'delete'
  })
}
