import request from '@/utils/request'

// 查询购物车列表
export function listShop(query) {
  return request({
    url: '/product/shop/list',
    method: 'get',
    params: query
  })
}

// 查询购物车详细
export function getShop(id) {
  return request({
    url: '/product/shop/' + id,
    method: 'get'
  })
}

// 新增购物车
export function addShop(data) {
  return request({
    url: '/product/shop',
    method: 'post',
    data: data
  })
}

// 修改购物车
export function updateShop(data) {
  return request({
    url: '/product/shop/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除购物车
export function delShop(id) {
  return request({
    url: '/product/shop/' + id,
    method: 'delete'
  })
}
